# Update the offline self-possession model
# Dxplaination of Interface Call Request
http请求方式:POST
https://api.weixin.qq.com/product/offline/update_pickup_template?access_token=xxxxxxxxx
# Example of request parameters
{
"pickup_template":{
"template_id":59529,
"pickup_time":{
"start_business_hour":9,
"start_business_minute":30,
"end_business_hour":22,
"end_business_minute":0,
"promise_delivery_minutes":60,
"book_time":1440
}
}
}
# Examples of back-up
{
"errcode" : 0,
"errcode" : ""
}
# Dxplaination of request parameters
| 参数 | type | Is it compulsory? | Introductions |
|---|---|---|---|
| pickup_template.template_id | number | yes | Offline Template ID |
| pickup_template.pickup_time | object | yes | Self-pickup time settings |
# Dxplaination of callback parameters
| 参数 | type | Introductions |
|---|---|---|
| errcode | string | Error code |
| errmsg | string | Error message |
# object-pickup_time
| 参数 | type | Is it compulsory? | Introductions |
|---|---|---|---|
| start_business_hour | number | yes | Time of opening shop, hours |
| start_business_minute | number | yes | Time to open a shop, minutes |
| end_business_hour | number | yes | Closing time, hours |
| end_business_minute | number | yes | Closing time, minutes |
| promise_delivery_minutes | number | yes | Spare time, minutes |
| book_time | number | yes | Can be scheduled for time, minutes |
# Return code
| 返回码 | Error Type |
|---|---|
| -1 | System exceptions |
| -2 | Token too long |